Bug 42747 - Context className attribute ignored for contexts deployed from descriptors in web/META-INF/context.xml
Context className attribute ignored for contexts deployed from descriptors in...
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
All Linux
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
: 20608 (view as bug list)
Depends on:
  Show dependency tree
Reported: 2007-06-26 11:41 UTC by randy hoffman
Modified: 2014-02-17 13:43 UTC (History)
2 users (show)


Note You need to log in before you can comment on or make changes to this bug.
Description randy hoffman 2007-06-26 11:41:53 UTC
When deploying an app from a context descriptor inside a webapp/META-INF
directory via context.xml, the className is ignored and the context is created
as a StandardContext.  I've tried to use a ReplicatedContext class in a cluster
from this configuration and it does not work.  However, it does work if i move
the context.xml to $CATALINA_BASE/conf/[EngineName]/[HostName]/webapp.xml.
Comment 1 Mark Thomas 2008-05-19 14:49:34 UTC
This issue and some related issues have been fixed in trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2008-05-22 12:13:08 UTC
The patch to trunk had some issues. I am working on a better one.
Comment 3 Mark Thomas 2008-11-08 17:50:20 UTC
I finally got around to taking another look at this.  A new patch has been committed to trunk and proposed for 6.0.x.
Comment 4 Mark Thomas 2008-12-30 13:45:57 UTC
This has been fixed in 6.0.x and will be in 6.0.19 onwards.
Comment 5 Mark Thomas 2010-12-17 09:07:48 UTC
*** Bug 20608 has been marked as a duplicate of this bug. ***